org.keycloak.representations.idm

## Class ClientTemplateRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ClientTemplateRepresentation

-     public class ClientTemplateRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected Boolean` | `bearerOnly`
    `protected Boolean` | `consentRequired`
    `protected String` | `description`
    `protected Boolean` | `directAccessGrantsEnabled`
    `protected Boolean` | `frontchannelLogout`
    `protected Boolean` | `fullScopeAllowed`
    `protected String` | `id`
    `protected Boolean` | `implicitFlowEnabled`
    `protected String` | `name`
    `static String` | `NONE` Use this value in ClientRepresentation.setClientTemplate when you want to clear this value
    `protected String` | `protocol`
    `protected List<ProtocolMapperRepresentation>` | `protocolMappers`
    `protected Boolean` | `publicClient`
    `protected Boolean` | `serviceAccountsEnabled`
    `protected Boolean` | `standardFlowEnabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTemplateRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `List<ProtocolMapperRepresentation>` | `getProtocolMappers()`
    `Boolean` | `isBearerOnly()`
    `Boolean` | `isConsentRequired()`
    `Boolean` | `isDirectAccessGrantsEnabled()`
    `Boolean` | `isFrontchannelLogout()`
    `Boolean` | `isFullScopeAllowed()`
    `Boolean` | `isImplicitFlowEnabled()`
    `Boolean` | `isPublicClient()`
    `Boolean` | `isServiceAccountsEnabled()`
    `Boolean` | `isStandardFlowEnabled()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setBearerOnly(Boolean bearerOnly)`
    `void` | `setConsentRequired(Boolean consentRequired)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)`
    `void` | `setFrontchannelLogout(Boolean frontchannelLogout)`
    `void` | `setFullScopeAllowed(Boolean fullScopeAllowed)`
    `void` | `setId(String id)`
    `void` | `setImplicitFlowEnabled(Boolean implicitFlowEnabled)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setServiceAccountsEnabled(Boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(Boolean standardFlowEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final String NONE

      Use this value in ClientRepresentation.setClientTemplate when you want to clear this value
      See Also:
        Constant Field Values

    - #### id

          protected String id

    - #### name

          protected String name

    - #### description

          protected String description

    - #### protocol

          protected String protocol

    - #### fullScopeAllowed

          protected Boolean fullScopeAllowed

    - #### bearerOnly

          protected Boolean bearerOnly

    - #### consentRequired

          protected Boolean consentRequired

    - #### standardFlowEnabled

          protected Boolean standardFlowEnabled

    - #### implicitFlowEnabled

          protected Boolean implicitFlowEnabled

    - #### directAccessGrantsEnabled

          protected Boolean directAccessGrantsEnabled

    - #### serviceAccountsEnabled

          protected Boolean serviceAccountsEnabled

    - #### publicClient

          protected Boolean publicClient

    - #### frontchannelLogout

          protected Boolean frontchannelLogout

    - #### attributes

          protected Map<String,String> attributes

    - #### protocolMappers

          protected List<ProtocolMapperRepresentation> protocolMappers

  - ### Constructor Detail

    - #### ClientTemplateRepresentation

          public ClientTemplateRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getProtocolMappers

          public List<ProtocolMapperRepresentation> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### isFullScopeAllowed

          public Boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(Boolean fullScopeAllowed)

    - #### isBearerOnly

          public Boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(Boolean bearerOnly)

    - #### isConsentRequired

          public Boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(Boolean consentRequired)

    - #### isStandardFlowEnabled

          public Boolean isStandardFlowEnabled()

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(Boolean standardFlowEnabled)

    - #### isImplicitFlowEnabled

          public Boolean isImplicitFlowEnabled()

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(Boolean implicitFlowEnabled)

    - #### isDirectAccessGrantsEnabled

          public Boolean isDirectAccessGrantsEnabled()

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)

    - #### isServiceAccountsEnabled

          public Boolean isServiceAccountsEnabled()

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(Boolean serviceAccountsEnabled)

    - #### isPublicClient

          public Boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

    - #### isFrontchannelLogout

          public Boolean isFrontchannelLogout()

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(Boolean frontchannelLogout)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

Copyright © 2016 JBoss by Red Hat. All rights reserved.